#ifndef PERCEPTIONHEADER
#define PERCEPTIONHEADER


// Prevent circular header reference with forward declaration
class Agent;


class Perception
{
	Agent * agent;
	float lastdistance, lastangle;

public:
	Perception();
	~Perception();
	void SetAgent(Agent * a);
	float OpponentAngle();
	float OpponentDistance();
	bool JointVisible(const char * name);
	float GetLastDistance();
	float GetLastAngle();
};

#endif