#include "InputEvent.h"
#include "TimeStamp.h"
InputEvent::InputEvent()
{
	type = InputEvent::UnknownEvent;
	ID = 0;
	timeStamp = TimeStamp();
}

InputEvent::~InputEvent()
{
}

void 
InputEvent::SetParams(const EventType t, const Vector3 & coord, const int id)
{
	type = t;
	coordinate = coord;
	ID = id;
}

bool
operator<(const InputEvent & ie1,const InputEvent & ie2)
{
	return ie1.timeStamp < ie2.timeStamp;
}
