#ifndef REACTIVEAGENTHEADER
#define REACTIVEAGENTHEADER

#include "Agent.h"
#include "IntentionGenerator.h"

class ReactiveAgent : public Agent
{
	IntentionGenerator ig;
	bool reactmode;


public:
	ReactiveAgent();
	~ReactiveAgent();

	virtual void ScoreAction(ActionTerminator at);
	virtual void Think();

	bool LoadIGAdjustments(const char * filename);
	void ResetIGAdjustments();
};




#endif
